> ## Documentation Index
> Fetch the complete documentation index at: https://primer.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Dispute Open

> Primer notifies you with a `DISPUTE.OPENED` webhook on newly opened disputes or chargebacks. This notification is unified across all processors.

Learn more about [how Primer handles webhooks](/docs/api-reference/get-started/configure-webhooks).


<RequestExample>
  ```json Webhook theme={"dark"}
  Version - 2.4
  ```
</RequestExample>

<ResponseExample>
  ```json Example of dispute event theme={"dark"}
  {
    "eventType": "DISPUTE.OPENED",
    "version": "2.4",
    "primerAccountId": "7fcd50f1-99f2-416e-8013-6ecd1c1285c3",
    "transactionId": "c3f662ad-d197-492e-b78b-63eefa64a31d",
    "orderId": "order-123",
    "processorId": "Adyen",
    "processorDisputeId": "adyen_ref_123",
    "paymentId": "ecb8d3bc-805d-4d97-826e-ef8d4cc3d2a2",
    "raw_processor_callback": {
      "example": {
        "raw_callback": "request",
        "from": "Adyen"
      }
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml https://api.schemas.primer.io/api-reference/v2.4/webhooks.yaml post /dispute-opened
openapi: 3.0.2
info:
  x-logo:
    url: https://apidocs.primer.io/docs/assets/images/primer-logo.svg
  title: Primer Webhooks
  version: '2.4'
  description: Webhooks specifications for Primer API v2.4
servers:
  - url: https://api.sandbox.primer.io
  - url: https://api.primer.io
security: []
paths:
  /dispute-opened:
    post:
      tags:
        - Dispute & Chargebacks Webhooks
      summary: Dispute Open
      description: >
        Primer notifies you with a `DISPUTE.OPENED` webhook on newly opened
        disputes or chargebacks. This notification is unified across all
        processors.


        Learn more about [how Primer handles
        webhooks](/docs/api-reference/get-started/configure-webhooks).
      operationId: dispute_open_webhook_event
      parameters:
        - in: header
          name: X-Signature-Primary
          schema:
            type: string
          required: true
          description: >-
            An [HMAC signature](https://en.wikipedia.org/wiki/HMAC) generated
            using the webhook payload and a shared signing secret. This is then
            converted to a base64 encoded string.
        - in: header
          name: X-Signature-Secondary
          schema:
            type: string
          required: true
          description: >-
            A secondary signature that is added when you have rotated your
            secret within the past 24 hours.
      requestBody:
        content:
          application/json:
            schema:
              title: Request
              allOf:
                - $ref: '#/components/schemas/DisputeOpenWebhookPayload'
      responses:
        '200':
          description: >-
            Return a 200 status to indicate that the data was received
            successfully
components:
  schemas:
    DisputeOpenWebhookPayload:
      title: DisputeOpenWebhookPayload
      type: object
      required:
        - eventType
        - processorId
        - processorDisputeId
        - paymentId
        - transactionId
        - orderId
        - primerAccountId
      properties:
        eventType:
          title: Event Type
          type: string
          description: The type of the webhook raised. `DISPUTE.OPENED` in this case.
        processorId:
          title: Processor ID
          type: string
          description: The name of the processor that generated the dispute.
        processorDisputeId:
          title: Processor Dispute ID
          type: string
          description: A unique identifier for the corresponding connection dispute.
        paymentId:
          title: Payment ID
          type: string
          description: >-
            A unique identifier for the Primer payment corresponding to this
            dispute.
        transactionId:
          title: Transaction ID
          type: string
          description: >-
            A unique identifier for the Primer transaction corresponding to this
            dispute.
        orderId:
          title: Order ID
          type: string
          description: Your reference for the sale transaction that the dispute relates to.
        primerAccountId:
          title: Primer Account ID
          type: string
          description: A unique identifier for your Primer merchant account.

````